Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.event
Interface IEventObservable

All Known Subinterfaces:
  IBasicScope, IBroadcastScope, IGlobalScope, IScope, ISharedObject

All Known Implementing Classes:
  BasicScope, BroadcastScope, GlobalScope, Scope, SharedObjectScope, WebScope

    public interface IEventObservable

IEventObservable hold functionality of the well-known Observer pattern, that is it has a list of objects that listen to events.

Method Summary
`void` | `addEventListener(IEventListener listener)` Add event listener to this observable
`Iterator<IEventListener>` | `getEventListeners()` Iterator for event listeners
`void` | `removeEventListener(IEventListener listener)` Remove event listener from this observable

Method Detail

### addEventListener

    void addEventListener(IEventListener listener)

  Add event listener to this observable

  Parameters:
    `listener` - Event listener

### removeEventListener

    void removeEventListener(IEventListener listener)

  Remove event listener from this observable

  Parameters:
    `listener` - Event listener

### getEventListeners

    Iterator<IEventListener> getEventListeners()

  Iterator for event listeners

  Returns:
    Event listeners iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project